#!/usr/bin/python

import numpy as np
import cv2
import matplotlib.pyplot as plt
import matplotlib.patches as patches
from scipy.misc import imread

ref_img = imread('../test_images/image01.png')

fig, (ax1, ax2, ax3) = plt.subplots(1, 3, figsize=(30, 30))
ax1.imshow(ref_img)
rect = patches.Rectangle((870, 600), 10, 10, linewidth=3, edgecolor='b', facecolor='none')
ax1.add_patch(rect)
ax1.axis('off')
ax2.imshow(ref_img[600:610, 870:880, :])
rect = patches.Rectangle((7.5, 7.5), 2, 2, linewidth=3, edgecolor='b', facecolor='none')
ax2.add_patch(rect)
ax2.set_title(ref_img[608:610, 878:880, :], fontsize=30, pad=20)
ax2.axis('off')
ax3.imshow(ref_img[608:610, 878:880, :])
rect = patches.Rectangle((0.5, 0.5), 1, 1, linewidth=3, edgecolor='b', facecolor='none')
ax3.set_title(ref_img[609:610, 879:880, :], fontsize=30, pad=20)
ax3.add_patch(rect)
ax3.axis('off')
plt.tight_layout()
plt.show()

